/*
	look at EPG-24740:
	This plugin was created to remove HTML entity &nbsp;
	from all toolbar button spans with class="cke_icon"
	to protect the CKEditor toolbar design
*/
define("ckeditor/plugins/epbutton/plugin", [
	"jquery",
	"ckeditor/ckeditor"
], function ($, CKEDITOR) {

	CKEDITOR.plugins.add('epbutton', {
		requires: ['button'],

		init: function (editor) {
			if (CKEDITOR.ui.button.prototype.render) {
				editor.on('instanceReady', function () {
					$('span.'+editor.id)
						.find('span.cke_icon')
						.empty();
				});
			}
		}
	});

	return CKEDITOR;

});