define(['testsuite/qunit', 'jquery', 'ep/fn/sprite', '$ready!'], function (QUnit, $, ep) {

	QUnit.module("ep/fn/sprite");

	QUnit.asyncTest("ep/fn/sprite", function() {

		QUnit.equal(
			$('#sprite').addSprite('image').hasClass('ep-sprite-image'),
			true,
			"$('#sprite').addSprite('image').hasClass('ep-sprite-image')"
		);
		QUnit.equal(
			$('#sprite').addSprite('image','xl').hasClass('ep-sprite-xl'),
			true,
			"$('#sprite').addSprite('image','xl').hasClass('ep-sprite-xl')"
		);
		QUnit.equal(
			$('#sprite').addSprite('image/jpeg').hasClass('ico_image'),
			true,
			"$('#sprite').addSprite('image/jpeg').hasClass('ico_image')"
		);


		QUnit.equal(
			$('#sprite').removeSprite().hasClass('ep-sprite'),
			false,
			"$('#sprite').removeSprite().hasClass('ep-sprite')"
		);


		QUnit.equal(
			$('#sprite').hasClass('ep-sprite-image'),
			false,
			"$('#sprite').hasClass('ep-sprite-image')"
		);
		QUnit.equal(
			$('#sprite').addSprite('image/jpeg','xl').hasClass('ep-sprite-xl'),
			true,
			"$('#sprite').addSprite('image/jpeg','xl').hasClass('ep-sprite-xl')"
		);

		QUnit.start();
	});
});