define(['testsuite/qunit', 'jquery', 'ep/ui/datepicker', 'jquery/metaparse', 'ep/ui/form', '$ready!'], function (QUnit, $, ep) {

	QUnit.module("ep.ui.datepicker");

	QUnit.asyncTest("l = $('.ep-uiDatepicker-day:visible').length", function() {

		var l;

		$('.ep-js').metaparse();
		l = $('.ep-uiDatepicker-day:visible').length;

		QUnit.equal(
			35<=l && l<=49,
			true,
			"35<=l && l<=49"
		);

		$('input[name=text_d2]').next().trigger('click');
		l = $('.ep-uiDatepicker-day:visible').length;

		QUnit.equal(
			140<=l && l<=196,
			true,
			"140<=l && l<=196"
		);

		$('.ep-uiDatepicker-done').trigger('click');

		setTimeout(function(){

			l = $('.ep-uiDatepicker-day:visible').length;

			QUnit.equal(
				35<=l && l<=49,
				true,
				"35<=l && l<=49"
			);

			QUnit.start();

		}, 500);

	});
});